clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
ClangTidyOptions.h File Reference
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/ErrorOr.h"`
`#include <functional>`
`#include <map>`
`#include <string>`
`#include <system_error>`
`#include <utility>`
`#include <vector>`
Include dependency graph for ClangTidyOptions.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::tidy::FileFilter
| Contains a list of line ranges in a single file. More...
struct | clang::tidy::ClangTidyGlobalOptions
| Global options. More...
struct | clang::tidy::ClangTidyOptions
| Contains options for clang-tidy. More...
class | clang::tidy::ClangTidyOptionsProvider
| Abstract interface for retrieving various ClangTidy options. More...
class | clang::tidy::DefaultOptionsProvider
| Implementation of the `ClangTidyOptionsProvider` interface, which returns the same options for all files. More...
class | clang::tidy::FileOptionsProvider
| Implementation of the `ClangTidyOptionsProvider` interface, which tries to find a configuration file in the closest parent directory of each source file. More...

## Namespaces
| clang
| clang::tidy

## Functions
std::error_code | clang::tidy::parseLineFilter (llvm::StringRef LineFilter, ClangTidyGlobalOptions &Options)
| Parses LineFilter from JSON and stores it to the `Options`. More...
llvm::ErrorOr< ClangTidyOptions > | clang::tidy::parseConfiguration (llvm::StringRef Config)
| Parses configuration from JSON and returns `ClangTidyOptions` or an error. More...
std::string | clang::tidy::configurationAsText (const ClangTidyOptions &Options)
| Serializes configuration to a YAML-encoded string. More...